org.apache.hadoop.yarn.api.protocolrecords

## Class RollbackResponse

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.RollbackResponse

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class RollbackResponse
      extends Object

  Response to a Rollback request.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RollbackResponse()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RollbackResponse` | `newInstance()` Create new instance of a Rollback response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RollbackResponse

          public RollbackResponse()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public static RollbackResponse newInstance()

      Create new instance of a Rollback response.
      Returns:
        Rollback Response.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.